# class Resolv::DNS::Resource::CAA

`CAA` resource record defined in RFC 8659

These records identify certificate authority allowed to issue certificates for the given domain.

### Constants

TypeValue

### Attributes

flags [R]

Flags for this proprty:

- Bit 0 : 0 = not critical, 1 = critical

tag [R]

Property tag (“issue”, “issuewild”, “iodef”…).

value [R]

Property value.

### Public Class Methods

new (flags, tag, value)
Source

    # File lib/resolv.rb, line 2566
    def initialize(flags, tag, value)
      unless (0..255) === flags
        raise ArgumentError.new('flags must be an Integer between 0 and 255')
      end
      unless (1..15) === tag.bytesize
        raise ArgumentError.new('length of tag must be between 1 and 15')
      end

      @flags = flags
      @tag = tag
      @value = value
    end

Creates a new `CAA` for `flags`, `tag` and `value`.

### Public Instance Methods

critical? ()
Source

    # File lib/resolv.rb, line 2598
    def critical?
      flags & 0x80 != 0
    end

Whether the critical flag is set on this property.